# Ice::EndpointInfo

## Overview

### local class EndpointInfo

Base class providing access to the endpoint details.

#### Derived Classes and Interfaces

IPEndpointInfo
OpaqueEndpointInfo

#### Used By

Endpoint::getInfo

## Operation Index

type
  Returns the type of the endpoint.
datagram
  Returns true if this endpoint is a datagram endpoint.
secure
  Returns true if this endpoint is a secure endpoint.

## Operations

### short type()

Returns the type of the endpoint.

### bool datagram()

Returns true if this endpoint is a datagram endpoint.

### bool secure()

Returns true if this endpoint is a secure endpoint.

## Data Members

### int timeout;

The timeout for the endpoint in milliseconds. 0 means non-blocking, -1 means no timeout.

### bool compress;

Specifies whether or not compression should be used if available when using this endpoint.